package com.zhentao.controller.user;

import cn.hutool.core.util.IdUtil;
import com.zhentao.controller.user.dto.UserDto;
import com.zhentao.service.UserLoginService;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class userController {
    @Autowired
    private UserLoginService service;
//注册
    @PostMapping("register")
    public Result register(@RequestBody UserDto userDto){
        return service.register(userDto);
    }
//    登录
    @PostMapping("login")
    public Result login(@RequestBody UserDto userDto){
        return service.login(userDto);
    }
//    获取雪花
    @PostMapping("xu")
    public void xu(){
        long l = IdUtil.getSnowflake(1, 1).nextId();
        System.err.println(l);
    }
}
