package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import lombok.Data;

/**
 * 
 * @TableName coupon
 */
@TableName(value ="coupon")
@Data
public class Coupon implements Serializable {
    /**
     * 优惠券id
     */
    @TableId
    private Long id;

    /**
     * 优惠券的分类 1直接扣减的优惠券 2打折的优惠券
     */
    private Integer couponStatus;

    /**
     * 扣减的金额
     */
    private BigDecimal couponMublit;

    /**
     * 打折几折
     */
    private BigDecimal couponC;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}