package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 *
 * @TableName productsku
 */
@TableName(value ="productsku")
@Data
public class Productsku implements Serializable {
    /**
     * sku id
     */
    @TableId
    private Long skuId;

    /**
     * 商品的名称
     */
    private String productName;

    /**
     * 商品的单价
     */
    private BigDecimal productPrice;

    /**
     * 商品的数量
     */
    private BigDecimal productStock;

    /**
     * 商品的创建时间
     */
    private Date productCreateTime;

    /**
     * 商品的修改时间
     */
    private Date productUpdateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
