package com.zhentao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName user_login
 */
@TableName(value ="user_login")
@Data
public class UserLogin implements Serializable {
    /**
     * 用户的主键id
     */
    @TableId
    private Long id;

    /**
     * 
     */
    private Long openid;

    /**
     * 
     */
    private Long unionid;

    /**
     * key
     */
    private String sesseionkey;

    /**
     * 用户的名称
     */
    private String userName;

    /**
     * 用户的账号
     */
    private String userUsername;

    /**
     * 密码
     */
    private String userPassword;

    /**
     * 盐
     */
    private String userSalt;

    /**
     * 用户的创建时间
     */
    private Date userCreateTime;

    /**
     * 用户的修改时间
     */
    private Date userUpdateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}